import { useLoaderData } from "react-router-dom";
import "./CustomerBookings.scss";
import { IBookingInfo } from "../../services/BookingView/BookingView";
import CustomerBookingCard from "./CustomerBookingCard";

const CustomerBookings = () => {
  const bookings = useLoaderData() as IBookingInfo[];
  let flightType = location.search.split("flightType=")[1]?.split("&")[0];
  if (typeof flightType === "undefined") {
    flightType = "upcoming";
  }

  return (
    <div className="page-view">
      <div className="customer-booking-view">
        <h3>List of {flightType} bookings</h3>
        {bookings.map((booking) => (
          <CustomerBookingCard
            flightId={booking.flightId}
            flightType={flightType}
            bookingId={booking.id}
            key={booking.id}
          />
        ))}
      </div>
    </div>
  );
};

export default CustomerBookings;
